### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-slot/ecl-slot.directive.ts`

### Example

### Metadata

Selector | `[eclSlot]`

### Index

###### Properties
Public template
###### Methods
getType
###### Inputs
eclSlot type

### Constructor

`constructor(template: TemplateRef)`
Parameters :
Name | Type | Optional
template | `TemplateRef<any>` | No

### Inputs

eclSlot
Type : `string`

type
Type : `string`

### Methods

getType
`getType()`
Returns : `string`

### Properties

Public template
Type : `TemplateRef<any>`

# result-matching ""

# No results matching ""